Package net.shibboleth.idp.plugin.authn.webauthn.impl

# Class ExistingAuthenticationCredentialsLookupStrategy

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.impl.ExistingAuthenticationCredentialsLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>>`

public class ExistingAuthenticationCredentialsLookupStrategy extends Object implements Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>>
A credential lookup function that returns the list of existing credentials from the `WebAuthnAuthenticationContext`.

## Constructor Summary

Constructors
Constructor
Description
`ExistingAuthenticationCredentialsLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Collection<EnhancedCredentialRecord>`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ExistingAuthenticationCredentialsLookupStrategy

public ExistingAuthenticationCredentialsLookupStrategy()

## Method Details

### apply

public Collection<EnhancedCredentialRecord> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>>`